g.filename(1)

NAME
g.filename - Prints GRASS data base file names.

KEYWORDS
general, map management, scripts

SYNOPSIS
g.filename
g.filename --help
g.filename element=string file=string [mapset=string] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

element=string [required]
    Name of an element

file=string [required]
    Name of a database file

mapset=string
    Name of a mapset (default: current)

DESCRIPTION
g.filename is designed for Bourne shell scripts that need to know the full file name, including it’s path, for mapset elements, like raster, vector and site maps, region definitions and imagery groups.

The list of element names to search for is not fixed; any subdirectory of the mapset directory is a valid element name.

However, the user can find the list of standard GRASS GIS element names in the file $GISBASE/etc/element_list. This is the file which g.remove/g.rename/g.copy use to determine which files need to be deleted/renamed/copied for a given entity type.

OUTPUT
g.filename writes one line to standard output:
file=’full_file_pathname’ The output is a /bin/sh command to set the variable specified by the file name to the full UNIX path name for the data base file. This variable may be set in the /bin/sh as follows:

eval `g.filename element=name mapset=name file=name`

NOTES
This module generates the filename, but does not care if the file (or mapset or element) exists or not. This feature allows shell scripts to create new data base files as well as use existing ones.

If the mapset is the current mapset, g.filename automatically creates the element specified if it doesn’t already exist. This makes it easy to add new files to the data base without having to worry about the existence of the required data base directories. (This program will not create a new mapset, however, if that specified does not currently exist.)

The program exits with a 0 if everything is ok; it exits with a non-zero value if there is an error, in which case file=’full_file_pathname’ is not output.

SEE ALSO
g.findfile, g.gisenv

AUTHOR
Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

SOURCE CODE

Available at: g.filename source code (history)

Accessed: Wednesday Jul 09 13:12:25 2025

Main index | General index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 7.8.8 Reference Manual